<!DOCTYPE html>
<?php
    include 'connectionInfo.php';
?>
<html lang="en">
<head>

    <?php define("title", "Confirmation-Page"); ?>
    <title><?php echo title; ?></title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link href="./css/style1.css" rel="stylesheet" type="text/css">
    <link href="./css/phpConfirmationPage.css" rel="stylesheet" type="text/css">
    <script src="./javascript/phpErrMsgController.js"></script>

</head>

<body>
    <div>

        <nav class="navbar navbar-inverse" lang="en">
            <img src="./img/panarama_1.jpg" alt="pan_1_view"/><br/>
            <div class="container-fluid">
                <img src="./img/k-logo.jpg" alt="k-logo" align=right
                     style="width:30px;height:30px;"/>


            </div>
        </nav>

        <div class="container-fluid text-center">
            <div class="row content">
                <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 sidenav" id="menu">

                    <a href="./index.html" target="_blank">Home</a><br/>
                    <a href="./regPage.html" target="_blank">Registration</a><br/>
                    <a href="./animationPage.html">Animations</a><br/>

                </div>
                <?php
                    include 'selectUserData.php';
                ?>
                <form method="POST" id="formReg" novalidate
                      action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
                    <div class="col-xs-12 col-sm-9 col-md-9 col-lg-9 text-left">
                        <div id="rowDiv" class="row">
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">

                                <div id="priKeyDiv" class="form-group">
                                    <label for="priKey">Primary Key</label>
                                    <input disabled required id="priKey" name="priKey" class="form-control"
                                           type="text" placeholder="Primary Key" value="<?php echo $last_id; ?>"/>
                                </div>

                                <div id="userDiv" class="form-group">
                                    <label for="userName">Username:</label>

                                    <input disabled type="text" id="userName" class="form-control"
                                           name="userName" value="<?php echo $username; ?>">

                                </div>

                                <div id="passwordDiv" class="form-group">
                                    <label for="password">Password:</label>
                                    <input disabled required id="password" name="password" class="form-control"
                                           type="password" value="<?php echo $password; ?>"/>
                                </div>

                                <div id="firstnameDiv" class="form-group">
                                    <label for="firstname">Firstname:</label>
                                    <input disabled required id="firstname" name="firstname" class="form-control"
                                           type="text" placeholder="firstname" value="<?php echo $firstname; ?>"/>
                                </div>

                                <div id="lastnameDiv" class="form-group">
                                    <label for="lastname">Lastname:</label>
                                    <input disabled required id="lastname" name="lastname" class="form-control"
                                           type="text" placeholder="lastname" value="<?php echo $lastname; ?>"/>
                                </div>

                                <div id="addressDiv" class="form-group">
                                    <label for="address">Street:</label>
                                    <input disabled required id="address" name="address" class="form-control"
                                           type="text" placeholder="Adress line 1" value="<?php echo $address; ?>"/>

                                </div>

                                <div id="address2Div" class="form-group">
                                    <label for="address2">Street:</label>
                                    <input disabled id="address2" name="address2" class="form-control"
                                           type="text" placeholder="Adress line 1" value="<?php echo $address2; ?>"/>
                                </div>

                                <div id="cityDiv" class="form-group">
                                    <label for="city">City:</label>
                                    <input disabled required id="city" name="city" class="form-control"
                                           type="text" placeholder="Saint Louis" value="<?php echo $city; ?>"/>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6">
                                <div id="stateDiv" class="form-group">
                                    <label for="state">State:</label>
                                    <input disabled required id="state" name="state" class="form-control"
                                           type="text" placeholder="Missouri" value="<?php echo $state; ?>">
                                </div>

                                <div id="zipDiv" class="form-group">
                                    <label for="zip">Zip:</label>
                                    <input disabled required id="zip" name="zip" class="form-control"
                                           type="text" placeholder="xxxxx-xxxx" value="<?php echo $zipcode; ?>">
                                </div>

                                <div id="telDiv" class="form-group">
                                    <label for="tel">Phone:</label>
                                    <input disabled required id="tel" name="tel" class="form-control"
                                           type="tel" placeholder="xxx-xxx-xxxx" value="<?php echo $tel; ?>"/>
                                </div>

                                <div id="emailDiv" class="form-group">
                                    <label for="email">Email:</label>
                                    <input disabled required id="email" name="email" class="form-control"
                                           type="email" placeholder="email@domain.com"
                                           value="<?php echo $email; ?>"/>
                                </div>

                                <div class="form-group">
                                    <label for="gender">Gender:</label>
                                    <select disabled required id="gender" name="gender" class="form-control">
                                        <option value="" selected="selected" hidden="hidden" disabled>
                                            --Please Select--
                                        </option>
                                        <option <?php if ($gender=="Female"){echo "selected";}?>
                                                value="Female">Female</option>
                                        <option <?php if ($gender=="Male"){echo "selected";}?>
                                                value="Male">Male</option>
                                        <option <?php if ($gender=="Other"){echo "selected";}?>
                                                value="Other">Other</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="materialStat">Material Status:</label>
                                    <select disabled required id="materialStat" name="materialStat" class="form-control">
                                        <option value="" selected="selected" hidden="hidden" disabled>
                                            --Please Select--
                                        </option>
                                        <option <?php if ($materialStat=="Single"){echo "selected";}?>
                                                value="Single">Single</option>
                                        <option <?php if ($materialStat=="Married"){echo "selected";}?>
                                                value="Married">Married</option>
                                        <option <?php if ($materialStat=="Divorced"){echo "selected";}?>
                                                value="Divorced">Divorced</option>
                                        <option <?php if ($materialStat=="Widowed"){echo "selected";}?>
                                                value="Widowed">Widowed</option>
                                        <option <?php if ($materialStat=="Complicated"){echo "selected";}?>
                                                value="Complicated">Complicated</option>
                                    </select>
                                </div>

                                <div id="dateofbirthDiv" class="form-group">
                                    <label for="dateofbirth">Date Of Birth:</label>
                                    <input disabled required id="dateofbirth" name="dateofbirth" class="form-control"
                                           type="text" placeholder="mm/dd/yyyy" value="<?php
                                                echo $dateofbirth = formatDOB($dateofbirth);
                                                //Format the the in MM/DD/YYYY
                                                function formatDOB($date){
                                                    $year = substr($date, 0, 4);
                                                    $month = substr($date, 5, -3);
                                                    $day = substr($date, 8, 10);

                                                    $newDate = $month . "/" . $day . "/" . $year;
                                                    return $newDate;
                                                }
                                            ?>"
                                    />
                                </div>

                            </div>

                            <div class="clear"></div>

                            <input type="submit" class="btn btn-success pull-right"
                                   value="Submit Button" id="subBut">
                            <input type="reset" class="btn btn-info pull-right"
                                   value="Reset Button" id="resBut">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

</body>

<footer class="container-fluid ">
    <div class="row content">

        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 text-center">
            <a href="https://www.netflix.com" target="_blank">Netflix</a>
        </div>
        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 text-center">
            <a href="https://www.google.com" target="_blank">Google</a>
        </div>
        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 text-center">
            <a href="https://www.umsl.edu" target="_blank">UMSL</a>
        </div>

    </div>
</footer>

</html>