<?php

    $username = $password = $repPass = $firstname = $lastname = $address = $address2 = $city = $state = $zipcode = $tel = $email = $gender = $materialStat = $dateofbirth = "";
    $usernameError = $passwordError = $repPassError = $firstnameError = $lastnameError = $addressError = $address2Error = $cityError = $stateError = $zipcodeError = $telError = $emailError = $genderError = $materialStatError = $dateofbirthError = "";
    $usernameValid = $passwordValid = $repPassValid = $firstnameValid = $lastnameValid = $addressValid = $cityValid = $stateValid = $zipcodeValid = $telValid = $emailValid = $genderValid = $materialStatValid = $ateofbirthValid = false;
    $address2Valid = true;
    $isValid = false;
    $newDOB = "";

    if($_SERVER["REQUEST_METHOD"] == "POST") {

        $isValid = true;
        //Validate Username
        $username = clean_input($_POST["userName"]);
        if (empty($username)) {
            $usernameError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($username) < 6) {
                $usernameError = "* Minimum length is 6";
                $isValid = false;
            }
            else if (strlen($username) > 50) {
                $usernameError = "* Maximum length is 50";
                $isValid = false;
            }
            else {
                $usernameValid = true;
            }

        }
        //Validate password
        $password = clean_input($_POST["password"]);
        $repPass = clean_input($_POST["repPass"]);
        if (empty($password)) {
            $passwordError = "* Required";
            $isValid = false;
        }
        else {
            if(!empty($_POST["password"]) && ($_POST["password"] == $_POST["repPass"])) {
                if (strlen($_POST["password"]) <= '8') {
                    $passwordError = "* Your Password Must Contain At Least 8 Characters!";
                } elseif (!preg_match("#[0-9]+#", $password)) {
                    $passwordError = "* Your Password Must Contain At Least 1 Number!";
                } elseif (!preg_match("#[A-Z]+#", $password)) {
                    $passwordError = "* Your Password Must Contain At Least 1 Capital Letter!";
                } elseif (!preg_match("#[a-z]+#", $password)) {
                    $passwordError = "* Your Password Must Contain At Least 1 Lowercase Letter!";
                }
            }
            elseif(!empty($_POST["repPass"])) {
                $repPassError = "* Please Check You've Entered Or Confirmed Your Password!";
            }
            else{
                $passwordValid = $repPassValid = true;
            }

        }
        //Validate firstname
        $firstname = clean_input($_POST["firstname"]);
        if (empty($firstname)) {
            $firstnameError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($firstname) > 50) {
                $firstnameError = "* Maximum length is 50";
                $isValid = false;
            }
            else {
                $firstnameValid = true;
            }

        }
        //Validate lastname
        $lastname = clean_input($_POST["lastname"]);
        if (empty($lastname)) {
            $lastnameError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($lastname) > 50) {
                $lastnameError = "* Maximum length is 50";
                $isValid = false;
            }
            else {
                $lastnameValid = true;
            }

        }
        //Validate Address
        $address = clean_input($_POST["address"]);
        if (empty($address)) {
            $addressError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($address) > 100) {
                $addressError = "* Maximum length is 100";
                $isValid = false;
            }
            else {
                $addressValid = true;
            }
        }
        //Validate Address2
        $address2 = clean_input($_POST["address2"]);
        if (strlen($address) > 100) {
            $addressError = "* Maximum length is 100";
            $isValid = false;
        }
        else {
            $addressValid = true;
        }
        //Validate City
        $city = clean_input($_POST["city"]);
        if (empty($address)) {
            $cityError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($city) > 50) {
                $cityError = "* Maximum length is 50";
                $isValid = false;
            }
            else {
                $cityValid = true;
            }
        }
        //Validate State
        $state = clean_input($_POST["state"]);
        if (empty($address)) {
            $stateError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($state) > 52) {
                $stateError = "* Maximum length is 52";
                $isValid = false;
            }
            else {
                $stateValid = true;
            }
        }
        //Validate Zip-code
        $zipcode = clean_input($_POST["zip"]);
        if ($zipcode == "" or $zipcode == null) {
            $zipcodeError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($zipcode) < 5) {
                $zipcodeError = "* Minimum length is 5";
                $isValid = false;
            }
            else if (strlen($zipcode) > 10) {
                $zipcodeError = "* Maximum length is 10";
                $isValid = false;
            }
            else if (!preg_match("/^\d{5}$/", $zipcode) and
                       !preg_match("/^\d{5}([\-]?\d{4})?$/", $zipcode)) {
                $zipcodeError = "* Format is xxxxx or xxxxx-xxxxx";
                $isValid = false;
            }
            else {
                $zipcodeValid = true;
            }
        }
        //Validate Phone number
        $tel = clean_input($_POST["tel"]);
        if ($tel == "" or $tel == null) {
            $telError = "* Required";
            $isValid = false;
        }
        else {
            if (strlen($tel) > 12) {
                $telError = "* Maximum length is 12";
                $isValid = false;
            }
            else if (!preg_match("/^[0-9]{3}-[0-9]{3}-[0-9]{4}$/", $tel)) {
                $telError = "* Format is xxx-xxx-xxxx";
                $isValid = false;
            }
            else {
                $telValid = true;
            }
        }
        //Validate Email
        $email = clean_input($_POST["email"]);
        if (empty($email)) {
            $emailError = "* Required";
            $isValid = false;
        }
        else {
            if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
                $emailError = "* Format is x@x.x";
                $isValid = false;
            } else {
                $emailValid = true;
            }
        }
        //Validate Gender radio
        if (isset($_POST["gender"])) {
            $gender = clean_input($_POST["gender"]);
            echo $gender;
            $genderValid = true;
        } else {
            $genderError = "* Required";
            $isValid = false;
        }
        //Validate Material status
        if (isset($_POST["materialStat"])) {
            $materialStat = clean_input($_POST["materialStat"]);
            $materialStatValid = true;
        } else {
            $materialStatError = "* Required";
            $isValid = false;
        }
        //Validate Date of birth
        $dateofbirth = clean_input($_POST["dateofbirth"]);
        if ($dateofbirth == "" or $dateofbirth == null) {
            $dateofbirthError = "* Required";
            $isValid = false;
        } else {
            if (!preg_match("/(0[1-9]|1[012])[- \/.](0[1-9]|[12][0-9]|3[01])[- \/.](19|20)\d\d/", $dateofbirth)) {
                $dateofbirthError = "* Format is mm/dd/yyyy";
                $isValid = false;
            } else {
                $newDOB = formatDOB($dateofbirth);
                $dateofbirthValid = true;
            }
        }

    }
    function formatDOB($date){
        $month = substr($date, 0, 2);
        $day = substr($date, 3, 5);
        $year = substr($date, 6, 10);
        $newDate = $year . "-" . $month . "-" . $day;
        return $newDate;
    }
    //Cleans up string
    function clean_input($data) {
        $data = trim($data);
        $data = stripslashes($data);
        $data = htmlspecialchars($data);
        return $data;
    }
?>