window.onload = function(){
    var start = new Date().getTime();
    document.getElementById("circle").onclick = function(){

        document.getElementById("circle").style.display = "none";

        document.getElementById("circle").style.height = Math.floor(Math.random() * (150-1)) + 1;
        var end = new Date().getTime();
        var timeTook = ((end - start)/1000);
        document.getElementById("timer").innerHTML = timeTook + "s";
        if(bestTime === 0){
            bestTime = timeTook;
        }
        else if(bestTime > timeTook){
            bestTime = timeTook;
        }
        document.getElementById("best").innerHTML = bestTime + "s";

        appearAfterDelay();

    };



    /* cool color picker functino */
    function getRandomColor() {
        var letters = '0123456789ABCDEF'.split('');
        var color = '#';
        for(var i=0; i<6; i++){
            color += letters[Math.floor(Math.random() * 16)];
        }
        return color;
    }

    function makeShapeAppear(){

        var top = Math.floor(Math.random() * 55) + 1;
        var left = Math.floor(Math.random() * 550) + 1;
        var size = Math.floor(Math.random() * 75) + 15;

        if(Math.random() > 0.5){
            document.getElementById("circle").style.borderRadius = "50%";
        }
        else{
            document.getElementById("circle").style.borderRadius = 0;
        }

        document.getElementById("circle").style.top = top + "%";
        document.getElementById("circle").style.left = left + "px";
        document.getElementById("circle").style.height = size + "px";
        document.getElementById("circle").style.width = size + "px";
        document.getElementById("circle").style.backgroundColor = getRandomColor();



        document.getElementById("circle").style.display = "block";

        start = new Date().getTime();

    }

    function appearAfterDelay(){
        setTimeout(makeShapeAppear, Math.floor(Math.random() * 2000));
    }

    appearAfterDelay();


    var bestTime = 0;
};


