$(document).ready(function () {

    //Decision to enable the submit button variables
    var enableUser = false;
    var enablePassOrig = false;
    var enableRepeat = false;
    var enableFirstName = false;
    var enableLastName = false;
    var enableAddr = false;
    var enableAddr2 = false;
    var enableCity = false;
    var enableState = false;
    var enableZipCode = false;
    var enablePhone = false;
    var enableEmail = false;
    var enableBirthday = false;
    ///////////////////////////////////////////

    //Username input controller
    $("#userName").keyup(function () {
        //Validating user name field
        var userName = $(this).val();
        var min = 6;
        var max= 50;

        if(userName.length < min || userName.length > max){
            $("#userName").css("border-color", "red");
            $("#userDiv .redMark").show();
            $("#userDiv .greenMark").hide();
        }
        else{
            enableUser = true;
            $("#userName").css("border-color", "green");
            $("#userDiv .redMark").hide();
            $("#userDiv .greenMark").show();
        }
        enableButton()
    });
    /////////////////////////////////////////

    //Password input controller
    $("#password").keyup(function () {
        var min = 8;
        var max= 50;
        var upper = /[A-Z]/g;
        var lower=/[a-z]/g;
        var digit=/[0-9]/g;
        var specialChar=/[#?!@$%^&*-]/g;
        //Checks for what password contain
        passOriginal = $(this).val();
        var result1 = upper.test(passOriginal);
        var result2 = lower.test(passOriginal);
        var result3 = digit.test(passOriginal);
        var result4 = specialChar.test(passOriginal);

        if(!(passOriginal.length < min || passOriginal.length > max)){
            if(result1 && result2 && result3 && result4){
                $("#password").css("border-color", "green");
                $("#passwordDiv .redMark").hide();
                $("#passwordDiv .greenMark").show();
                enablePassOrig = true;
            }
            else{
                $("#password").css("border-color", "red");
                $("#passwordDiv .redMark").show();
                $("#passwordDiv .greenMark").hide();
                enablePassOrig = false;
            }
        }
        else{
            $("#password").css("border-color", "red");
            $("#passwordDiv .redMark").show();
            $("#passwordDiv .greenMark").hide();
            enablePassOrig = false;
        }
        enableButton();
    });
    /////////////////////////////////////////////////

    //Repeat password input controller
    $("#repPass").keyup(function () {
        var min = 8;
        var max= 50;
        var upper = /[A-Z]/g;
        var lower=/[a-z]/g;
        var digit=/[0-9]/g;
        var specialChar=/[#?!@$%^&*-]/g;
        //Checks for what repeated password contain
        var passRepeat = $(this).val();
        var result1 = upper.test(passRepeat);
        var result2 = lower.test(passRepeat);
        var result3 = digit.test(passRepeat);
        var result4 = specialChar.test(passRepeat);

        if(!(passRepeat.length < min || passRepeat.length > max)){
            if(result1 && result2 && result3 && result4 && (passRepeat === passOriginal)){
                $("#repPass").css("border-color", "green");
                $("#repPassDiv .redMark").hide();
                $("#repPassDiv .greenMark").show();
                enableRepeat = true;
            }
            else{
                $("#repPass").css("border-color", "red");
                $("#repPassDiv .redMark").show();
                $("#repPassDiv .greenMark").hide();
                enableRepeat = false;
            }
        }
        else{
            $("#repPass").css("border-color", "red");
            $("#repPassDiv .redMark").show();
            $("#repPassDiv .greenMark").hide();
            enableRepeat = false;
        }
        enableButton();
    });
    //////////////////////////////////////////

    //First name input controller
    $("#firstname").keyup(function () {
        //Validating user name field
        var firstName = $(this).val();
        var max= 50;

        if(firstName.length > max || firstName.length === 0){
            $("#firstname").css("border-color", "red");
            $("#firstnameDiv .redMark").show();
            $("#firstnameDiv .greenMark").hide();
            enableFirstName = false;
        }
        else{
            $("#firstname").css("border-color", "green");
            $("#firstnameDiv .redMark").hide();
            $("#firstnameDiv .greenMark").show();
            enableFirstName = true;
        }
        enableButton();
    });
    //////////////////////////////////////////

    //Last name input controller
    $("#lastname").keyup(function () {
        //Validating user name field
        var lastName = $(this).val();
        var max= 50;

        if(lastName.length > max || lastName.length === 0){
            $("#lastname").css("border-color", "red");
            $("#lastnameDiv .redMark").show();
            $("#lastnameDiv .greenMark").hide();
            enableLastName = false;
        }
        else{
            $("#lastname").css("border-color", "green");
            $("#lastnameDiv .redMark").hide();
            $("#lastnameDiv .greenMark").show();
            enableLastName = true;
        }
        enableButton();
    });
    ///////////////////////////////////////

    //Address line-1 input controller
    $("#address").keyup(function () {
        //Validating user name field
        var addr = $(this).val();
        var max= 100;
        //alert(userName);
        if(addr.length > max || addr.length === 0){
            $("#address").css("border-color", "red");
            $("#addressDiv .redMark").show();
            $("#addressDiv .greenMark").hide();
            enableAddr = false;
        }
        else{
            $("#address").css("border-color", "green");
            $("#addressDiv .redMark").hide();
            $("#addressDiv .greenMark").show();
            enableAddr = true;
        }
        enableButton();
    });
    //////////////////////////////////////////////

    //Address line-2 input controller
    $("#address2").keyup(function () {
        //Validating user name field
        var addr2 = $(this).val();
        var max= 100;

        if(addr2.length > max || addr2.length === 0){
            $("#address2").css("border-color", "red");
            $("#address2Div .redMark").show();
            $("#address2Div .greenMark").hide();
            enableAddr2 = false;
        }
        else{
            $("#address2").css("border-color", "green");
            $("#address2Div .redMark").hide();
            $("#address2Div .greenMark").show();
            enableAddr2 = true;
        }
        enableButton();
    });
    //////////////////////////////////////

    //City input controller
    $("#city").keyup(function () {
        //Validating user name field
        var cityName = $(this).val();
        var max= 50;

        if(cityName.length > max || cityName.length === 0){
            $("#city").css("border-color", "red");
            $("#cityDiv .redMark").show();
            $("#cityDiv .greenMark").hide();
            enableCity = false;
        }
        else{
            $("#city").css("border-color", "green");
            $("#cityDiv .redMark").hide();
            $("#cityDiv .greenMark").show();
            enableCity = true;
        }
        enableButton();
    });
    ////////////////////////////////////////

    //State input controller
    $("#state").keyup(function () {
        //Validating user name field
        var stateName = $(this).val();
        var max= 52;

        if(stateName.length > max || stateName.length === 0){
            $("#state").css("border-color", "red");
            $("#stateDiv .redMark").show();
            $("#stateDiv .greenMark").hide();
            enableState = false;
        }
        else{
            $("#state").css("border-color", "green");
            $("#stateDiv .redMark").hide();
            $("#stateDiv .greenMark").show();
            enableState = true;
        }
        enableButton();
    });
    ///////////////////////////////////////////

    //Zip input controller
    $("#zip").keyup(function () {
        //Validating user name field
        var zipNum = $(this).val();
        var min= 5;
        var max= 11;

        if(zipNum.length > max || zipNum.length < min){
            $("#zip").css("border-color", "red");
            $("#zipDiv .redMark").show();
            $("#zipDiv .greenMark").hide();
            enableZipCode = false;
        }
        else if(!(isValidUSZip(zipNum))){
            $("#zip").css("border-color", "red");
            $("#zipDiv .redMark").show();
            $("#zipDiv .greenMark").hide();
        }
        else{
            $("#zip").css("border-color", "green");
            $("#zipDiv .redMark").hide();
            $("#zipDiv .greenMark").show();
            enableZipCode = true;
        }
        //Check zipcode validation
        function isValidUSZip(sZip) {
            return /(^\d{5}$)|(^\d{5}-\d{4}$)/.test(sZip);
        }

        enableButton();
    });
    /////////////////////////////////////

    //Telephone input controller
    $("#tel").keyup(function () {
        //Validating telephone field
        var telNumb = $(this).val();
        var max= 12;

        if(telNumb.length > max || telNumb.length === 0){
            $("#tel").css("border-color", "red");
            $("#telDiv .redMark").show();
            $("#telDiv .greenMark").hide();
            enablePhone = false;
        }
        else if(!(isValidTel(telNumb))){
            $("#tel").css("border-color", "red");
            $("#telDiv .redMark").show();
            $("#telDiv .greenMark").hide();
        }
        else{
            $("#tel").css("border-color", "green");
            $("#telDiv .redMark").hide();
            $("#telDiv .greenMark").show();
            enablePhone = true;
        }

        function isValidTel(telNum) {
            return /^\d{3}-\d{3}-\d{4}$/.test(telNum);
        }

        enableButton();
    });
    ///////////////////////////////////////////


    //Email input controller
    $("#email").keyup(function () {

        var emailVal = $(this).val();
        var letter = /^\w+@\w+\.\w+$/;
        var result = letter.test(emailVal); //Checking allowed input for email

        if(result){
            $("#email").css("border-color", "green");
            $("#emailDiv .redMark").hide();
            $("#emailDiv .greenMark").show();
            enableEmail = true;
        }
        else{
            $("#email").css("border-color", "red");
            $("#emailDiv .redMark").show();
            $("#emailDiv .greenMark").hide();
            enableEmail = false;
        }
        enableButton();
    });
    ///////////////////////////////////////////////

    //Date of birth input controller
    $("#dateofbirth").keyup(function () {

        var birthday = $(this).val();
        if(birthday.length === 10){
            var regE = /\d{2}\/\d{2}\/\d{4}/g;

            if(regE.test(birthday)){
                $("#dateofbirth").css("border-color", "green");
                $("#dateofbirthDiv .redMark").hide();
                $("#dateofbirthDiv .greenMark").show();
                enableBirthday = true;
            }
            else{
                $("#dateofbirth").css("border-color", "red");
                $("#dateofbirthDiv .redMark").show();
                $("#dateofbirthDiv .greenMark").hide();
                enableBirthday = false;
            }
        }
        else{
            $("#dateofbirth").css("border-color", "red");
            enableBirthday = false;
            $("#dateofbirthDiv .redMark").show();
            $("#dateofbirthDiv .greenMark").hide();
        }
        enableButton();
    });
    ///////////////////////////////////////////////

    /*
    //Validates if submit button needs to be enabled to submit the form
    function enableButton(){

        if(enableBirthday && enableAddr && enableAddr2 && enableCity && enableEmail
            && enableFirstName && enableLastName && enablePhone && enablePassOrig
            && enableState && enableZipCode && enableRepeat && enableUser){
            $("#subBut").attr("disabled", false);

            $("#subBut").click(function () {

                if(genderCheck() && matStatCheck()){
                    $("#formReg").submit();
                }
                else{
                    $("#subBut").attr("disabled", true);
                }
            });
        }
        else{
            $("#subBut").attr("disabled", true);
        }
    }
    ////////////////////////////////////////////////

     */

    //Check each option of gender for length validation
    function genderCheck(){

        var boolCunter = 0;
        $("#gender option").each(function () {
            var eachOption = $(this).val();
            if(eachOption.length > 50){
                boolCunter++;
            }
        });

        var returnValue;
        boolCunter > 0 ? returnValue=false : returnValue=true;
        return returnValue;
    }
    /////////////////////////////////////////////////////

    //Check each option of MaterialStaus for length validation
    function matStatCheck(){

        var boolCunter = 0;
        $("#materialStat option").each(function () {
            var eachOption = $(this).val();

            if(eachOption.length > 50){
                boolCunter++;
            }
        });

        var returnValue;
        boolCunter > 0 ? returnValue=false : returnValue=true;
        return returnValue;
    }
    /////////////////////////////////////////////////////

    //running the options checks
    matStatCheck();
    genderCheck();
    ////////////////////////////////////////////////////

    //Reset button set up
    $("#resBut").click(function () {

        enableUser = false;
        enablePassOrig = false;
        enableRepeat = false;
        enableFirstName = false;
        enableLastName = false;
        enableAddr = false;
        enableAddr2 = false;
        enableCity = false;
        enableState = false;
        enableZipCode = false;
        enablePhone = false;
        enableEmail = false;
        enableBirthday = false;

        $("#userName").css("border-color", "#CCCCCC");
        $("#dateofbirth").css("border-color", "#CCCCCC");
        $("#email").css("border-color", "#CCCCCC");
        $("#tel").css("border-color", "#CCCCCC");
        $("#zip").css("border-color", "#CCCCCC");
        $("#state").css("border-color", "#CCCCCC");
        $("#city").css("border-color", "#CCCCCC");
        $("#address2").css("border-color", "#CCCCCC");
        $("#address").css("border-color", "#CCCCCC");
        $("#lastname").css("border-color", "#CCCCCC");
        $("#firstname").css("border-color", "#CCCCCC");
        $("#password").css("border-color", "#CCCCCC");
        $("#repPass").css("border-color", "#CCCCCC");

        $("#userDiv .redMark").hide();
        $("#userDiv .greenMark").hide();
        $("#dateofbirthDiv .redMark").hide();
        $("#dateofbirthDiv .greenMark").hide();
        $("#emailDiv .redMark").hide();
        $("#emailDiv .greenMark").hide();
        $("#telDiv .redMark").hide();
        $("#telDiv .greenMark").hide();
        $("#zipDiv .redMark").hide();
        $("#zipDiv .greenMark").hide();
        $("#stateDiv .redMark").hide();
        $("#stateDiv .greenMark").hide();
        $("#cityDiv .redMark").hide();
        $("#cityDiv .greenMark").hide();
        $("#address2Div .redMark").hide();
        $("#address2Div .greenMark").hide();
        $("#lastnameDiv .redMark").hide();
        $("#lastnameDiv .greenMark").hide();
        $("#firstnameDiv .redMark").hide();
        $("#firstnameDiv .greenMark").hide();
        $("#passwordDiv .redMark").hide();
        $("#passwordDiv .greenMark").hide();
        $("#repPassDiv .redMark").hide();
        $("#repPassDiv .greenMark").hide();
        $("#addressDiv .redMark").hide();
        $("#addressDiv .greenMark").hide();
        enableButton();
    });
    //////////////////////////////////////////////////
});