<!DOCTYPE html>
<?php
    ob_start();
    include 'connectionInfo.php';
?>
<html lang="en">
<head>
    <?php define("title", "Registration-Page"); ?>
    <title><?php echo title; ?></title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link href="./css/style1.css" rel="stylesheet" type="text/css">
    <link href="./css/phpRegPage.css" rel="stylesheet" type="text/css">
    <script src="./javascript/subButton.js"></script>

</head>

<body>

    <?php
        include 'validation.php';
    ?>

    <div>

        <nav class="navbar navbar-inverse" lang="en">
            <img src="./img/panarama_1.jpg" alt="pan_1_view"/><br/>
            <div class="container-fluid">
                <img src="./img/k-logo.jpg" alt="k-logo" align=right
                     style="width:30px;height:30px;"/>


            </div>
        </nav>

        <div class="container-fluid text-center">
            <div class="row content">
                <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 sidenav" id="menu">

                    <a href="./index.html" target="_blank">Home</a><br/>
                    <a href="./regPage.html" target="_blank">Registration</a><br/>
                    <a href="./animationPage.html">Animations</a><br/>

                </div>

                <form method="POST" id="formReg" novalidate
                      action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
                    <div class="col-xs-12 col-sm-9 col-md-9 col-lg-9 text-left">
                        <div id="rowDiv" class="row">
                            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">

                                <div id="userDiv" class="form-group">
                                    <label for="userName">Username:</label>

                                    <input type="text" id="userName" class="form-control"
                                           name="userName" value="<?php echo $username; ?>">

                                    <span class="errMsg" class="form-control">
                                        <?php echo $usernameError; ?>
                                    </span>

                                </div>

                                <div id="passwordDiv" class="form-group">
                                    <label for="password">Password:</label>
                                    <input required id="password" name="password" class="form-control"
                                           type="password" value="<?php echo $password; ?>"/>
                                    <input class="errMsg" class="form-control"
                                           type="text" value="<?php echo $passwordError ?>" disabled>
                                </div>

                                <div id="repPassDiv" class="form-group">
                                    <label for="repPass">Repeat Password:</label>
                                    <input required id="repPass" name="repPass" class="form-control"
                                           type="password" placeholder="Repeat password" value="<?php echo $repPass; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $repPassError ?>" disabled>
                                </div>

                                <div id="firstnameDiv" class="form-group">
                                    <label for="firstname">Firstname:</label>
                                    <input required id="firstname" name="firstname" class="form-control"
                                           type="text" placeholder="firstname" value="<?php echo $firstname; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $firstnameError ?>" disabled>
                                </div>

                                <div id="lastnameDiv" class="form-group">
                                    <label for="lastname">Lastname:</label>
                                    <input required id="lastname" name="lastname" class="form-control"
                                           type="text" placeholder="lastname" value="<?php echo $lastname; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $lastnameError ?>" disabled>
                                </div>

                                <div id="addressDiv" class="form-group">
                                    <label for="address">Street:</label>
                                    <input required id="address" name="address" class="form-control"
                                           type="text" placeholder="Adress line 1" value="<?php echo $address; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $addressError ?>" disabled>
                                </div>

                                <div id="address2Div" class="form-group">
                                    <label for="address2">Street:</label>
                                    <input id="address2" name="address2" class="form-control"
                                           type="text" placeholder="Adress line 1" value="<?php echo $address2; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $address2Error ?>" disabled>
                                </div>

                                <div id="cityDiv" class="form-group">
                                    <label for="city">City:</label>
                                    <input required id="city" name="city" class="form-control"
                                           type="text" placeholder="Saint Louis" value="<?php echo $city; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $cityError ?>" disabled>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6">
                                <div id="stateDiv" class="form-group">
                                    <label for="state">State:</label>
                                    <input required id="state" name="state" class="form-control"
                                           type="text" placeholder="Missouri" value="<?php echo $state; ?>">
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $stateError ?>" disabled>
                                </div>

                                <div id="zipDiv" class="form-group">
                                    <label for="zip">Zip:</label>
                                    <input required id="zip" name="zip" class="form-control"
                                           type="text" placeholder="xxxxx-xxxx" value="<?php echo $zipcode; ?>">
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $zipcodeError; ?>" disabled>
                                </div>

                                <div id="telDiv" class="form-group">
                                    <label for="tel">Phone:</label>
                                    <input required id="tel" name="tel" class="form-control"
                                           type="tel" placeholder="xxx-xxx-xxxx" value="<?php echo $tel; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $telError; ?>" disabled>
                                </div>

                                <div id="emailDiv" class="form-group">
                                    <label for="email">Email:</label>
                                    <input required id="email" name="email" class="form-control"
                                           type="email" placeholder="email@domain.com"
                                           value="<?php echo $email; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $emailError; ?>" disabled>
                                </div>

                                <div class="form-group">
                                    <label for="gender">Gender:</label>
                                    <select required id="gender" name="gender" class="form-control">
                                        <option value="" selected="selected" hidden="hidden" disabled="disabled"
                                        >
                                            --Please Select--
                                        </option>
                                        <option <?php if ($gender=="Female"){echo "selected";}?>
                                                value="Female">Female</option>
                                        <option <?php if ($gender=="Male"){echo "selected";}?>
                                                value="Male">Male</option>
                                        <option <?php if ($gender=="Other"){echo "selected";}?>
                                                value="Other">Other</option>
                                    </select>
                                    <span class="errMsg"><?php echo $genderError;?></span>
                                </div>

                                <div class="form-group">
                                    <label for="materialStat">Material Status:</label>
                                    <select required id="materialStat" name="materialStat" class="form-control">
                                        <option value="" selected="selected" hidden="hidden" disabled="disabled">
                                            --Please Select--
                                        </option>
                                        <option <?php if ($materialStat=="Single"){echo "selected";}?>
                                                value="Single">Single</option>
                                        <option <?php if ($materialStat=="Married"){echo "selected";}?>
                                                value="Married">Married</option>
                                        <option <?php if ($materialStat=="Divorced"){echo "selected";}?>
                                                value="Divorced">Divorced</option>
                                        <option <?php if ($materialStat=="Widowed"){echo "selected";}?>
                                                value="Widowed">Widowed</option>
                                        <option <?php if ($materialStat=="Complicated"){echo "selected";}?>
                                                value="Complicated">Complicated</option>
                                    </select>
                                    <span class="errMsg"><?php echo $materialStatError;?></span>
                                </div>

                                <div id="dateofbirthDiv" class="form-group">
                                    <label for="dateofbirth">Date Of Birth:</label>
                                    <input required id="dateofbirth" name="dateofbirth" class="form-control"
                                           type="text" placeholder="mm/dd/yyyy" value="<?php echo $dateofbirth; ?>"/>
                                    <input class="errMsg" class="form-control errMsg"
                                           type="text" value="<?php echo $dateofbirthError; ?>" disabled>
                                </div>

                            </div>

                            <div class="clear"></div>

                            <input type="submit" class="btn btn-success pull-right"
                                   value="Submit Button" id="subBut">
                            <input type="reset" class="btn btn-info pull-right"
                                   value="Reset Button" id="resBut">
                        </div>
                    </div>
                </form>

                <?php
                    include 'insertValidDate.php';
                ?>
            </div>
        </div>
    </div>

</body>

<footer class="container-fluid ">
    <div class="row content">

        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 text-center">
            <a href="https://www.netflix.com" target="_blank">Netflix</a>
        </div>
        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 text-center">
            <a href="https://www.google.com" target="_blank">Google</a>
        </div>
        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 text-center">
            <a href="https://www.umsl.edu" target="_blank">UMSL</a>
        </div>

    </div>
</footer>

</html>